SimConstraintCollection Class

class NXOpen.CAE.SimConstraintCollection

Bases: object

Provides methods for managing constraints NXOpen.CAE.SimConstraint in a sim part

To obtain an instance of this class, refer to NXOpen.CAE.SimSimulation

New in version NX4.0.0.

Methods

Method Description
CreateConstraint Creates a Constraint for the constraint descriptor passed
FindObject Finds the NXOpen.CAE.SimConstraint with the given identifier as recorded in a journal.

Method Detail

CreateConstraint

SimConstraintCollection.CreateConstraint

Creates a Constraint for the constraint descriptor passed

Signature CreateConstraint(descriptorName, name)

Parameters:
  • descriptorName (str) – name of the constraint descriptor
  • name (str) – name of the constraint to be created
Returns:

constraint created

Return type:

NXOpen.CAE.SimConstraint

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

FindObject

SimConstraintCollection.FindObject

Finds the NXOpen.CAE.SimConstraint with the given identifier as recorded in a journal.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Identifier to be found
Returns:constraint found
Return type:NXOpen.CAE.SimConstraint

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)